﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new List<ViewModel>()
            {
                new ViewModel(){ Type = "button"},
                new ViewModel(){ Type = "textblock"},
            };
        }
    }

    public class ViewModel
    {
        public string Type { get; set; }
    }

    public class MySelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item.ToString() == "button")
            {
                return App.Current.FindResource("buttonTemplate") as DataTemplate;
            }
            else
                return App.Current.FindResource("textBlockTemplate") as DataTemplate;
        }
    }

}
